complexType "FxTouch"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 7 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | touchCondition, quotedCurrencyPair, triggerRate, spotRate?, informationSource+, (observationStartDate, observationEndDate)?
</...>

Content Model Elements (7):

  informationSource (in touch), observationEndDate (in touch), observationStartDate (in touch), quotedCurrencyPair (in touch), | spotRate (in touch), touchCondition, triggerRate (in touch)

All Direct / Indirect Based Elements (1):

  touch

Known Usage Locations

- As direct type of elements (1):
  touch

Annotation
Describes an FX touch condition.
XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="FxTouch"> <xsd:sequence> <xsd:element name="touchCondition" type="TouchConditionEnum"/> <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element name="triggerRate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/> <xsd:element maxOccurs="unbounded" name="informationSource" type="InformationSource"/> <xsd:sequence minOccurs="0"> <xsd:element name="observationStartDate" type="xsd:date"/> <xsd:element name="observationEndDate" type="xsd:date"/> </xsd:sequence> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
informationSource

  Type: | InformationSource, complex content

  The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="informationSource" type="InformationSource"/>

observationEndDate

  Type: | xsd:date, predefined, simple content

  The end of the period over which observations are made to determine whether a trigger event has occurred.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="observationEndDate" type="xsd:date"/>

observationStartDate

  Type: | xsd:date, predefined, simple content

  The start of the period over which observations are made to determine whether a trigger has occurred.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="observationStartDate" type="xsd:date"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

spotRate

  Type: | PositiveDecimal, simple content

  An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the option needs to move "up" or "down" to be triggered.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/>

touchCondition

  Type: | TouchConditionEnum, simple content

  The binary condition that applies to an American-style trigger. There can only be two domain values for this element: "touch" or "no touch".
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Touch" | - | The spot rate must have touched the predetermined trigger rate at any time over the life of the option for the payout to occur. See: http://www.FpML.org
  "Notouch" | - | The spot rate has not touched the predetermined trigger rate at any time over the life of the option for the payout to occur. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="touchCondition" type="TouchConditionEnum"/>

triggerRate

  Type: | PositiveDecimal, simple content

  The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="triggerRate" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.